%define name mkcd
%define version 3.6.2
%define release 1mdk
%define _requires_exceptions perl(strict)
%define _provides_exceptions perl(install_any)

Summary: Script to build Linux distributions installation discs
Name: %{name}
Version: %{version}
Release: %{release}
# get the source from our cvs repository (see
# http://www.linuxmandrake.com/en/cvs.php3)
Source0: %{name}-%{version}.tar.bz2
License: GPL
url: http://people.mandrakesoft.com/~warly/files/mkcd/
Group: System/Configuration/Packaging
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Requires: perl-File-NCopy perl-Image-Size perl-URPM
BuildArch: noarch
BuildRequires: libxslt-proc

%description
mkcd script eases the packages repartition over CDs, 
allows to order packages and to create discs of any 
given size (CDs, DVDs...)

%prep
%setup

%build
make mkcd.html

%install
rm -rf $RPM_BUILD_ROOT
make install PREFIX=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README mkcd.xml mkcd.html
%{_bindir}/*
%{perl_vendorlib}/Mkcd

%changelog
* Tue Sep 23 2003 Warly <warly@mandrakesoft.com> 3.6.2-1mdk
- fix bad rpmfile initialisation in reverseDepslist

* Thu Sep 18 2003 Warly <warly@mandrakesoft.com> 3.6.1-1mdk
- add list in sep_arch mode for urpmi
- fix small bug in cleanrpmsrate
- move reverseDepslist call into build_list to handle correctly the individual 
  nodeps flag for packages
- change ordergroup not to loop in disc_prereq check when adding a group with a
  disc handle by another group and requirering another disc in another group.
  
* Wed Sep 17 2003 Warly <warly@mandrakesoft.com> 3.6.0-1mdk
- add separate arch mode for dir (mainly for amd64)
- add --first option for rm and cp to access files with first flag

* Thu Aug 28 2003 Warly <warly@mandrakesoft.com> 3.5.3-1mdk
- add pubkey management in list.
- add check_rpmsrate to check rpmsrate package against repositories
- auto add pubkey in auto_mode
- fix no-emul-boot usage boot images > 3000000

* Thu Jun 05 2003 Warly <warly@mandrakesoft.com> 3.5.2-1mdk
- try to clean requires/provides

* Wed May 28 2003 Warly <warly@mandrakesoft.com> 3.5.1-1mdk
- remove perl-RPM require (use perl-URPM)

* Tue Apr 01 2003 Warly <warly@mandrakesoft.com> 3.5.0-1mdk
- allow now to buid installation disc based on existing hdlist
- fix suxness in packaging (shame on me)

* Sun Mar 16 2003 Warly <warly@mandrakesoft.com> 3.4.7-1mdk
- minor fixes in List::check_version

* Tue Mar 11 2003 Warly <warly@mandrakesoft.com> 3.4.6-1mdk
- improve optimize_space function
- fix bug un reverse depslist function
- soften the locale check in cleanrpmsrate to match locales such as nn and nb

* Tue Mar 04 2003 Warly <warly@mandrakesoft.com> 3.4.5-1mdk
- fix cdcom problem

* Mon Mar 03 2003 Warly <warly@mandrakesoft.com> 3.4.4-1mdk
- fix cleanrpmsrate for kernel

* Fri Feb 14 2003 Warly <warly@mandrakesoft.com> 3.4.2-1mdk
- fix auto option broken by new packages structure
- fix clean-rpmsrate

* Fri Feb 07 2003 Warly <warly@mandrakesoft.com> 3.4.1-1mdk
- new rpmlist function
- allow multiple list per generic functions (to be tested)
- add dynamic list (list based on other CDs rpms)

* Fri Jan 24 2003 Warly <warly@mandrakesoft.com> 3.3.6-1mdk
- new verbose mode
- new parsecommandline auto help option
- include Franck Bourdonnec fixes

* Sat Sep 21 2002 Warly <warly@mandrakesoft.com> 3.3.5-1mdk
- correct some misbehavior in needed code

* Fri Sep 20 2002 Warly <warly@mandrakesoft.com> 3.3.4-1mdk
- fix bad behaviour in auto mode

* Sun Sep 15 2002 Warly <warly@mandrakesoft.com> 3.3.3-1mdk
- new clone function
- new rm function
- add disc function to replace config file old DISC parsing
- new package repository handling
- add publisher tag in ISO
- various fix/optimization in optimize_space
- some more heuristic in optimize_space
- allow --hdlist for generic function
- use parsehdlist in current dir if it exists not to rely on installed /usr/bin/parsehdlist

* Mon Aug 12 2002 Warly <warly@mandrakesoft.com> 3.0.4-1mdk
- update/fix cleanrpmsrate

* Fri Jul 26 2002 Warly <warly@mandrakesoft.com> 3.0.3-1mdk
- oops, forgotten to upgrade clean-rpmsrate

* Fri Jul 26 2002 Warly <warly@mandrakesoft.com> 3.0.2-1mdk
- remove rpmtools deps and use perl-URPM to replace compare_versions

* Tue Jul  9 2002 Pixel <pixel@mandrakesoft.com> 3.0.1-2mdk
- rebuild for perl 5.8.0

* Sun Jul  7 2002 Frederic Lepied <flepied@mandrakesoft.com> 3.0.1-1mdk
- reworked Makefile to follow standard rpm build rules

* Mon Jun 17 2002 Warly <warly@mandrakesoft.com> 3.0.0-1mdk
- new building method
- new code for "needed" deps

* Wed May 22 2002 Warly <warly@mandrakesoft.com> 2.9.3-1mdk
- fix a pb in md5 sum computation file order

* Mon May 13 2002 Warly <warly@mandrakesoft.com> 2.9.2-1mdk
- fix fentry problem in List.pm (hashtable shared and not
reinitialised for each packages)

* Mon May 13 2002 Warly <warly@mandrakesoft.com> 2.9.1-1mdk
- add md5sum check in CDs

* Fri Mar 29 2002 Warly <warly@mandrakesoft.com> 2.8.5-1mdk
- fix rpmsrate not added in nolive mode
- cdcom has now normal list for cd building
- getAlone the same for srpm and rpm
- rpm empty size is not an error (link)
- getList now knows prelist
- buildInstallHdlist only includes srpm from the current install

* Fri Mar 15 2002 Warly <warly@mandrakesoft.com> 2.8.1-1mdk
- add new source handling method
- fix all the related code

* Wed Mar 13 2002 Warly <warly@mandrakesoft.com> 2.7.3-1mdk
- fix a pb in multiple list interdeps pb

* Sat Mar 09 2002 Warly <warly@mandrakesoft.com> 2.7.3-1mdk
- fix cd addition in auto mode
- add rpmsrate exceptions
- add dir limit in generic (hard and soft)

* Wed Feb 27 2002 Warly <warly@mandrakesoft.com> 2.7.2-1mdk
- begin oem mode
- change cleanrpmsrate regexp for kde-i18n-(localename)_extension

* Sat Feb 16 2002 Warly <warly@mandrakesoft.com> 2.6.11-1mdk
- add kde-i18n, man-pages and such automatic completion in cleanrpmsrate

* Thu Jan 31 2002 Warly <warly@mandrakesoft.com> 2.6.10-1mdk
- improved cd building functions for multiple lists config

* Sun Jan 27 2002 Warly <warly@mandrakesoft.com> 2.6.9-1mdk
- fix hdlist building in auto mode

* Mon Jan 25 2002 Warly <warly@mandrakesoft.com> 2.6.8-1mdk
- add version choosing for multiple library version
- fix synthesis building

* Mon Jan 25 2002 Warly <warly@mandrakesoft.com> 2.6.7-1mdk
- fix clean-rpmsrate pb

* Mon Jan 21 2002 Warly <warly@mandrakesoft.com> 2.6.6-1mdk
- default to normal floppy boot images when isolinux image is not
writable.
- add new way of building synthesis files.
- only use the nolive way to build hdlist.
- improve cleanRpmsrate to add version to kernel.
- add clean-rpmsrate

* Sun Jan 06 2002 Warly <warly@mandrakesoft.com> 2.6.5-1mdk
- fix a bug in auto mode
- fix bug in boot function
- fix a bu in cdcom function

* Fri Jan 04 2002 Warly <warly@mandrakesoft.com> 2.6.4-1mdk
- Package.pm is back

* Thu Jan 03 2002 Warly <warly@mandrakesoft.com> 2.6.3-1mdk
- fix pb in auto mode

* Wed Jan 2 2002 Warly <warly@mandrakesoft.com> 2.6.2-1mdk
- include Packages.pm

* Fri Dec 28 2001 Warly <warly@mandrakesoft.com> 2.6.1-1mdk
- new version

* Wed Dec 26 2001 Warly <warly@mandrakesoft.com> 2.5.11-1mdk
- first version
